﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace Model
{
    public class Entities : ObjectContext
    {
        public Entities() : base( "name=Entities", "Entities" ) { }
    }

    [EdmEntityType]
    public partial class Ksiazka : EntityObject
    {
        public Entities Context { get; set; }

        public Ksiazka( Entities Context )
        {
            this.Context = Context;
        }

        public void Save()
        {
            try
            {
                Context.AddObject( "Ksiazka", this );
            }
            catch { }
            Context.SaveChanges();
        }

        public void Delete()
        {
            Context.DeleteObject( this );
            Context.SaveChanges();
        }

        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID
        {
            get { return this._ID; }
            set
            {
                this.ReportPropertyChanging( "ID" );
                this._ID = StructuralObject.SetValidValue( value );
                this.ReportPropertyChanged( "ID" );
            }
        }
        private int _ID;

        [EdmScalarProperty]
        public string Autor
        {
            get { return this._Autor; }
            set
            {
                this.ReportPropertyChanging( "Autor" );
                this._Autor = StructuralObject.SetValidValue( value, false );
                this.ReportPropertyChanged( "Autor" );
            }
        }
        private string _Autor;

        [EdmScalarProperty]
        public string Tytul
        {
            get { return this._Tytul; }
            set
            {
                this.ReportPropertyChanging( "Tytul" );
                this._Tytul = StructuralObject.SetValidValue( value, false );
                this.ReportPropertyChanged( "Tytul" );
            }
        }
        private string _Tytul;
    }
}
