﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace AssociationMany2Many
{
    [EdmEntityType]
    public class Kategoria : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true, IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Nazwa { get; set; }

        [EdmRelationshipNavigationPropertyAttribute("AssociationMany2Many", "KsiazkaKategoria", "Ksiazka")]
        public EntityCollection<Ksiazka> K_Ksiazka
        {
            get
            {
                return ((IEntityWithRelationships)(this)).RelationshipManager.GetRelatedCollection<Ksiazka>("AssociationMany2Many.KsiazkaKategoria", "Ksiazka");
            }
            set
            {
                if ((value != null))
                {
                    ((IEntityWithRelationships)(this)).RelationshipManager.InitializeRelatedCollection<Ksiazka>("AssociationMany2Many.KsiazkaKategoria", "Ksiazka", value);
                }
            }
        }
    }
}
