﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;
using System.Data.Metadata.Edm;

[assembly: EdmSchema]
[assembly: EdmRelationshipAttribute("AssociationMany2Many", "KsiazkaKategoria",
    "Ksiazka", RelationshipMultiplicity.Many, typeof(AssociationMany2Many.Ksiazka),
    "Kategoria", RelationshipMultiplicity.Many, typeof(AssociationMany2Many.Kategoria))]

namespace AssociationMany2Many
{
    [EdmEntityType]
    public class Ksiazka : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Autor { get; set; }

        [EdmScalarProperty]
        public string Tytul { get; set; }

        [EdmRelationshipNavigationPropertyAttribute("AssociationMany2Many", "KsiazkaKategoria", "Kategoria")]
        public EntityCollection<Kategoria> K_Kategoria
        {
            get
            {
                return ((IEntityWithRelationships)(this)).RelationshipManager.GetRelatedCollection<Kategoria>("AssociationMany2Many.KsiazkaKategoria", "Kategoria");
            }
            set
            {
                if ( ( value != null ) )
                {
                    ((IEntityWithRelationships)(this)).RelationshipManager.InitializeRelatedCollection<Kategoria>("AssociationMany2Many.KsiazkaKategoria", "Kategoria", value);
                }
            }
        }
    }
}
