﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace AssociationOne2Many
{
    [EdmEntityType]
    public class Egzemplarz : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true, IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Sygnatura { get; set; }

        [EdmScalarProperty]
        public int Status { get; set; }

        [EdmRelationshipNavigationPropertyAttribute( "AssociationOne2Many", "Egzemplarz_Ksiazka", "Ksiazka" )]
        public Ksiazka Ksiazka
        {
            get
            {
                return ( (IEntityWithRelationships)( this ) ).RelationshipManager.GetRelatedReference<Ksiazka>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Ksiazka" ).Value;
            }
            set
            {
                ( (IEntityWithRelationships)( this ) ).RelationshipManager.GetRelatedReference<Ksiazka>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Ksiazka" ).Value = value;
            }
        }

        public EntityReference<Ksiazka> KsiazkaReference
        {
            get
            {
                return ( (IEntityWithRelationships)( this ) ).RelationshipManager.GetRelatedReference<Ksiazka>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Ksiazka" );
            }
            set
            {
                if ( ( value != null ) )
                {
                    ( (IEntityWithRelationships)( this ) ).RelationshipManager.InitializeRelatedReference<Ksiazka>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Ksiazka", value );
                }
            }
        }
    }
}
