﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;
using System.Data.Metadata.Edm;

[assembly: EdmSchema]
[assembly: EdmRelationshipAttribute( "AssociationOne2Many", "Egzemplarz_Ksiazka",
    "Ksiazka", RelationshipMultiplicity.ZeroOrOne, typeof( AssociationOne2Many.Ksiazka ),
    "Egzemplarz", RelationshipMultiplicity.Many, typeof( AssociationOne2Many.Egzemplarz ) )]

namespace AssociationOne2Many
{
    [EdmEntityType]
    public class Ksiazka : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Autor { get; set; }

        [EdmScalarProperty]
        public string Tytul { get; set; }

        [EdmRelationshipNavigationPropertyAttribute( "AssociationOne2Many", "Egzemplarz_Ksiazka", "Egzemplarz" )]
        public EntityCollection<Egzemplarz> K_Egzemplarz
        {
            get
            {
                return ( (IEntityWithRelationships)( this ) ).RelationshipManager.GetRelatedCollection<Egzemplarz>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Egzemplarz" );
            }
            set
            {
                if ( ( value != null ) )
                {
                    ( (IEntityWithRelationships)( this ) ).RelationshipManager.InitializeRelatedCollection<Egzemplarz>( "AssociationOne2Many.Egzemplarz_Ksiazka", "Egzemplarz", value );
                }
            }
        }
    }
}
