﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Model;

namespace CompositeKeys
{
    class Program
    {
        static void Main( string[] args )
        {
            var context = new ObjectContext( "name=Entities" );
            context.DefaultContainerName = "Entities";

            var lista =
                from k in context.CreateQuery<Osoba>( "[Osoba]" )
                where k.JID == 1
                select k;

            var k1 = new Osoba { OID = 3, JID = 1, Imie = "J31", Nazwisko = "K31" };
            context.AddObject( "Osoba", k1 );
            context.SaveChanges();


            foreach ( Osoba k in lista )
                Console.WriteLine( k.Nazwisko );
        }
    }
}
