﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Model;

namespace HorizontalSplitting
{
    class Program
    {
        static void Main( string[] args )
        {
            var context = new ObjectContext( "name=Entities" );
            context.DefaultContainerName = "Entities";

            var k1 = new Pracownik { ID = 1, Imie = "J1", Nazwisko = "K1", Kierownik = true };
            context.AddObject( "Pracownik", k1 );
            context.SaveChanges();

            var k2 = new Pracownik { ID = 2, Imie = "J2", Nazwisko = "K2", Kierownik = false };
            context.AddObject( "Pracownik", k2 );
            context.SaveChanges();

            foreach ( Pracownik k in context.CreateQuery<Pracownik>( "[Pracownik]" ) )
                k.Kierownik = true;

            context.SaveChanges();
        }
    }
}
