﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace Model
{
    [EdmComplexType]
    public class Adres : EntityObject
    {
        [EdmScalarProperty]
        public string Miasto { get; set; }

        [EdmScalarProperty]
        public string Ulica { get; set; }
    }

    [EdmEntityType]
    public class Osoba : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Imie { get; set; }

        [EdmScalarProperty]
        public string Nazwisko { get; set; }

        [EdmComplexProperty]
        public Adres Adres { get; set; }
    }
}
