﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Model;

namespace NestedData
{
    class Program
    {
        static void Main( string[] args )
        {
            var context = new ObjectContext( "name=Entities" );
            context.DefaultContainerName = "Entities";

            var lista =
                from k in context.CreateQuery<Osoba>( "[Osoba]" )
                where k.ID == 1
                select k;

            var k1 = new Osoba { ID = 10, Imie = "J10", Nazwisko = "K10", Adres = new Adres { Ulica = "XXX", Miasto = "Kraków" } };
            context.AddObject( "Osoba", k1 );
            context.SaveChanges();


            foreach ( Osoba k in lista )
                Console.WriteLine( k.Nazwisko );
        }
    }
}
