﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;

namespace SimpleMapping
{
    class Program
    {
        static void Main( string[] args )
        {
            var context = new ObjectContext( "name=BibliotekaEntities" );
            context.DefaultContainerName = "BibliotekaEntities";

            var lista =
                from c in
                    (
                        from k in context.CreateQuery<Ksiazka>( "[Ksiazka]" )
                        where k.Tytul == "T1"
                        select k )
                select c;

            var k1 = new Ksiazka { ID = 1, Autor="A1", Tytul="T1" };
            context.AddObject( "Ksiazka", k1 );
            context.SaveChanges();


            foreach ( Ksiazka k in lista )
                Console.WriteLine( k.Tytul );
        }
    }
}
