﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace Model
{
    [EdmComplexType]
    public partial class CustomBase : EntityObject
    {
        [EdmScalarProperty]
        public int? Deleted
        {
            get { return this._Deleted; }
            set
            {
                this.OnDeletedChanging( value );
                this.ReportPropertyChanging( "Deleted" );
                this._Deleted = StructuralObject.SetValidValue( value );
                this.ReportPropertyChanged( "Deleted" );
                this.OnDeletedChanged();
            }
        }
        private int? _Deleted;
        partial void OnDeletedChanging( int? value );
        partial void OnDeletedChanged();
    }

    [EdmEntityType]
    public class Ksiazka : CustomBase
    {
        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Autor { get; set; }

        [EdmScalarProperty]
        public string Tytul { get; set; }
    }
}
