﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects;
using Model;

namespace DeleteWithMarking
{
    public static class Extensions
    {
        public static void DeleteObjectSoftly( this ObjectContext context, CustomBase entity )
        {
            entity.Deleted = 100;
            var x = entity.EntityState;
        }
    }
    public class Entities : ObjectContext
    {
        public Entities() : base( "name=Entities", "Entities" ) { }
    }
    class Program
    {
        static void Main( string[] args )
        {
            var context = new Entities();

            var lista =
                from k in context.CreateQuery<Ksiazka>( "[Ksiazka]" )
                where k.Tytul == "T1"
                select k;

            var k1 = new Ksiazka { ID = 100, Autor="A100", Tytul="T100" };
            var x = k1.EntityState;
            context.AddObject( "Ksiazka", k1 );
            context.SaveChanges();
            context.DeleteObjectSoftly( k1 );
            context.SaveChanges();
        }
    }
}
