﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Objects.DataClasses;

[assembly:EdmSchema]
namespace Model
{
    // Tak się nie da -- wyliczenia nie są obsługiwane przez EF (stan na sierpień 2008)
    //public enum StanowiskoEnum { Kierownik = 0, Programista = 1 }; 

    [EdmEntityType]
    public partial class Pracownik : EntityObject
    {
        [EdmScalarProperty(EntityKeyProperty=true,IsNullable=false)]
        public int ID { get; set; }

        [EdmScalarProperty]
        public string Imie { get; set; }

        [EdmScalarProperty]
        public string Nazwisko { get; set; }

        [EdmScalarProperty]
        public bool Kierownik
        {
            get { return this._Kierownik; }
            set
            {
                this.OnKierownikChanging( value );
                this.ReportPropertyChanging( "Kierownik" );
                this._Kierownik = StructuralObject.SetValidValue( value );
                this.ReportPropertyChanged( "Kierownik" );
                this.OnKierownikChanged();
            }
        }
        private bool _Kierownik;
        partial void OnKierownikChanging( bool value );
        partial void OnKierownikChanged();
    }
}
