﻿// Przykład: http://mtaulty.com/CommunityServer/blogs/mike_taultys_blog/archive/2007/08/27/9665.aspx

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.EntityClient;
using System.Data.Objects;
using System.Data;
using System.Data.Common;
using System.Transactions;

namespace Transactions
{
    class Program
    {
        static void Main( string[] args )
        {
            using ( var context = new Entities() )
            {
                TransactionOptions options = new TransactionOptions() { IsolationLevel = System.Transactions.IsolationLevel.ReadUncommitted };

                using ( TransactionScope scope = new TransactionScope( TransactionScopeOption.RequiresNew, options ) )
                {
                    //var o = new Osoba { ID = 100, Imie = "J", Nazwisko = "K" };
                    //context.AddObject( "Osoba", o );
                    foreach ( var o in context.Osoba )
                        o.Nazwisko = "fff333";

                    context.SaveChanges();

                    Console.WriteLine( "Commit (c) or rollback (b)?" );

                    if ( Console.ReadLine() == "c" )
                        scope.Complete();
                }
            }
        }
    }
}
